# myCriteria.py - plugin module for StarDrop
#
# Copyright (C) Optibrium Ltd 2011
# stardrop-support@optibrium.com
#
# This file sets up the criteria to use when selecting rows to be
# highlighted in when exporting from StarDrop to Excel
# It should be installed in the py folder of the StarDrop install
# directory, along with the StarDropToXLS.py script

# To exclude criteria, insert a hash at the beginning of the line
# To add new criteria, add a line in the same format, ie:
# criteria["property"] = [('<', val1, C), ('<>', val1, val2, C), ('>', # val1, C)]
# where C == GREEN, AMBER or RED
 
# For advice or feedback, contact stardrop-support@glpg.com

GREEN = 0
AMBER = 1
RED = 2

criteria = {}
#criteria["logS"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
#criteria["logP"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
#criteria["logD"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
#criteria["logS @ pH7.4"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
#criteria["2C9 pKi"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
#criteria["hERG pIC50"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
#criteria["BBB log([brain]:[blood])"] = [('<', 1.0, RED),('<>', 1.0,2.0,AMBER),('>',2.0,GREEN)]
criteria["MW"] = [('<', 475.0, GREEN),('<>', 475.0,550.0,AMBER),('>',550.0,RED)]
criteria["HBD"] = [('<', 3.0, GREEN),('<>', 3.0,5.0,AMBER),('>',5.0,RED)]
criteria["HBA"] = [('<', 8.0, GREEN),('<>', 8.0,10.0,AMBER),('>',10.0,RED)]
criteria["TPSA"] = [('<', 108.0, GREEN),('<>', 108.0,130.0,AMBER),('>',130.0,RED)]
#criteria["Flexibility"] = [('<', 0.85, GREEN),('<>', 0.85,0.9,AMBER),('>',0.9,RED)]
#criteria["BBB category"] = [('+', GREEN),('-',RED)]
#criteria["HIA category"] = [('+', GREEN),('-',RED)]
#criteria["PPB category"] = [('low', GREEN),('high',RED)]
#criteria["P-gp category"] = [('no', GREEN),('yes',RED)]
#criteria["2D6 affinity category"] = [('low', GREEN), ('medium', AMBER), ('high',RED),('very high',RED)]
#criteria["P450"] = [('<', 0.85, GREEN),('<>', 0.85,0.9,AMBER),('>',0.9,RED)]












